<h1>WPSSO Add Five Stars for Google Rich Snippets</h1>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO Add Five Stars</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>Add a 5 star rating and review from the site organization if the Schema markup does not already have an &#039;aggregateRating&#039; property.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>2.1.0</td></tr>
<tr><th align="right" valign="top" nowrap>Requires PHP</th><td>7.2.34 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Requires WordPress</th><td>5.8 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WordPress</th><td>6.5.0</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>google, schema, rich snippet, stars, ratings, reviews, aggregate</td></tr>
</table>

<h2>Description</h2>

<!-- about -->

<p><strong>Includes a 5 Star Rating in Schema markup:</strong></p>

<ol>
<li>If the Schema markup does not have an 'aggregateRating' property.</li>
<li>If Google allows an 'aggregateRating' property for that Schema type.</li>
</ol>

<p>Google allows an 'aggregateRating' property for these Schema types and their sub-types:</p>

<ul>
<li>Book</li>
<li>Course</li>
<li>Event</li>
<li>HowTo (includes Recipe)</li>
<li>LocalBusiness</li>
<li>Movie</li>
<li>Product</li>
<li>SoftwareApplication</li>
</ul>

<p>If the Schema type in the Document SSO metabox is not one of these types (or one of their sub-types), then a 5 star rating cannot be added, as doing so would trigger an error in the Google search console. <a href="https://developers.google.com/search/docs/advanced/structured-data/review-snippet">See Google's Review snippet documentation for additional information.</a></p>

<!-- /about -->

<h3>WPSSO Add Five Stars is a Fallback Solution</h3>

<p>The Google's Review Snippet technical guidelines reminds us to:</p>

<blockquote>
  <p><a href="https://developers.google.com/search/docs/advanced/structured-data/review-snippet#technical-guidelines">Make sure the reviews and ratings you mark up are readily available to users from the marked-up page. It must be immediately obvious to users that the page has review content.</a></p>
</blockquote>

<p>The WPSSO Add Five Stars add-on includes a 5 star rating <em>if the document Schema markup does not already have an 'aggregateRating' property</em>. It is always preferable to include actual ratings and reviews from your visitors and/or customers in the webpage. The WPSSO Add Five Stars add-on can be used in combination with any of the following third-party plugins and service APIs, or the <a href="https://wordpress.org/plugins/wpsso-ratings-and-reviews/">WPSSO Ratings and Reviews</a> add-on.</p>

<p><strong>Suggested Rating and Review Plugins and Services:</strong></p>

<p>The <a href="https://wordpress.org/plugins/wpsso/">WPSSO Core plugin</a> supports a selection of plugins that provide ratings and reviews:</p>

<ul>
<li>WP-PostRatings</li>
<li>WP Product Review</li>
<li>Yotpo Social Reviews for WooCommerce</li>
<li>WooCommerce</li>
<li><a href="https://wordpress.org/plugins/wpsso-ratings-and-reviews/">WPSSO Ratings and Reviews</a></li>
</ul>

<p>The <a href="https://wpsso.com/">WPSSO Core Premium plugin</a> also supports a selection of remote service APIs that provide ratings and reviews:</p>

<ul>
<li>Shopper Approved (Ratings and Reviews)</li>
<li>Stamped.io (Ratings and Reviews)</li>
</ul>

<h3>WPSSO Core Required</h3>

<p>WPSSO Add Five Stars (WPSSO AFS) is an add-on for the <a href="https://wordpress.org/plugins/wpsso/">WPSSO Core plugin</a>, which provides complete structured data for WordPress to present your content at its best for social sites and search results – no matter how URLs are shared, reshared, messaged, posted, embedded, or crawled.</p>

<h2>Installation</h2>

<h3 class="top">Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-add-five-stars/installation/install-the-plugin/">Install the WPSSO Add Five Stars add-on</a>.</li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-add-five-stars/installation/uninstall-the-plugin/">Uninstall the WPSSO Add Five Stars add-on</a>.</li>
</ul>

